Bug 1389686 (CVE-2016-9104) - CVE-2016-9104 Qemu: 9pfs: integer overflow leading to OOB access
Summary: CVE-2016-9104 Qemu: 9pfs: integer overflow leading to OOB access
Status: CLOSED WONTFIX
Alias: CVE-2016-9104
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20161013,reported=2...
Keywords: Security
Depends On: 1389687 1389689
Blocks: 1389508
TreeView+ depends on / blocked
 
Reported: 2016-10-28 09:04 UTC by Prasad J Pandit
Modified: 2019-06-08 21:33 UTC (History)
36 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-06-08 03:01:35 UTC


Attachments (Terms of Use)

Description Prasad J Pandit 2016-10-28 09:04:35 UTC
Quick Emulator(Qemu) built with the VirtFS, host directory sharing via Plan 9
File System(9pfs) support, is vulnerable to an integer overflow issue. It
could occur by accessing xattributes values.

A privileged user inside guest could use this flaw to crash the Qemu process
instance resulting in DoS.

Upstream patches:
-----------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2016-10/msg02942.html

Reference:
----------
  -> http://wiki.qemu.org/Documentation/9psetup

Comment 1 Prasad J Pandit 2016-10-28 09:05:10 UTC
Acknowledgments:

Name: Li Qiang (360.cn Inc.)

Comment 2 Prasad J Pandit 2016-10-28 09:06:35 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1389689]

Comment 3 Prasad J Pandit 2016-10-28 09:06:57 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1389687]

Comment 4 Andrej Nemec 2016-10-31 14:48:30 UTC
CVE assignment:

http://seclists.org/oss-sec/2016/q4/280

Comment 5 Cole Robinson 2017-01-16 18:33:20 UTC
commit dd28fbbc2edc0822965d402d927ce646326d6954
Author: Li Qiang <liqiang6-s@360.cn>
Date:   Tue Nov 1 12:00:40 2016 +0100

    9pfs: add xattrwalk_fid field in V9fsXattr struct

commit 8495f9ad26d398f01e208a53f1a5152483a16084
Author: Li Qiang <liqiang6-s@360.cn>
Date:   Tue Nov 1 12:00:40 2016 +0100

    9pfs: convert 'len/copied_len' field in V9fsXattr to the type of uint64_t

commit 7e55d65c56a03dcd2c5d7c49d37c5a74b55d4bd6
Author: Li Qiang <liqiang6-s@360.cn>
Date:   Tue Nov 1 12:00:40 2016 +0100

    9pfs: fix integer overflow issue in xattr read/write


Note You need to log in before you can comment on or make changes to this bug.